Introducing VIDA Identity Stack: All of VIDA, in one place 🎉
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Kill Transaction

The Transaction Kill API is used to terminate an ongoing provisioning or authentication transaction. This might be necessary if there is a need to stop the transaction due to any reasons.

API Description

Method : POST

URL : https://{environment-url}/auth/realms/{partner-id}/protocol/api/auth/kill

Parameters

  • client_id : A unique client id that is shared for each partner.

  • client_secret : A unique key that is auto-generated for each parter and will be provided by VIDA.

  • session_identifier : Session id received in response of Transaction Initiation API

Kill Transaction

POST https://{environment-url}/auth/realms/{partner-id}/protocol/api/auth/kill

Query Parameters

Name
Type
Description

client_id*

String

{YOUR CLIENT ID}

client_secret*

String

{SHARED SECRET PROVIDED TO YOU BY VIDA}

session_identifier*

String

{SESSION ID RECEIVED IN RESPONSE OF TRANSACTION INITIATION}

Headers

Name
Type
Description

Content-Type*

String

application/x-www-form-urlencoded

An empty response body indicates a successful request with no content. This is expected behavior and not an error.

Success Response

Response Schema

An empty response body indicates a successful request with no content. This is expected behavior and not an error.

Error Response

Response Schema

Last updated